> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GetRunSchemaResponse

> TypeScript response type from the HoneyHive API

> **GetRunSchemaResponse** = `object`

## Description

Response for GET /events/schema, GET /runs/{run_id}/schema, and GET /runs/schema

## Properties

### datasets

> **datasets**: `string`\[]

***

### fields

> **fields**: `object`\[]

#### event\_type

> **event\_type**: `string`

#### name

> **name**: `string`

***

### mappings

> **mappings**: `object`

#### Index Signature

\[`key`: `string`]: `object`\[]


## Related topics

- [Experiments Methods](/v2/sdk-reference/typescript/ref/experiments/index.md)
- [GetRunsSchemaResponse](/v2/sdk-reference/typescript/ref/experiments/GetRunsSchemaResponse.md)
- [Get events schema for a single experiment run](/v2/api-reference-autogen/experiments/get-events-schema-for-a-single-experiment-run.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.